Bug 69343 - Nautilus doesn't show all files and user level preferences are opposite of what they are supposed to be
Nautilus doesn't show all files and user level preferences are opposite of wh...
Product: Red Hat Linux
Classification: Retired
Component: nautilus (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2002-07-21 14:42 EDT by Don Himelrick
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-16 10:48:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Don Himelrick 2002-07-21 14:42:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
In the preferences menu, selecting one of the three user level preferences does
the opposite of what it is supposed to do.  If I understand the nautilus users
manual correctly, advanced is supposed to show more information and beginner is
supposed to show less.  On my stock RH 7.3, just the opposite happens.  With
user level set to advanced, nautilus does not show me all of the contents of a
directory and it does not show any details about what it does show.  With user
level set to beginner, I see all of the contents of the directory and details
such as number of items in the subdirectories . In the first case (advanced) , I
have directories that I own with the same permissions.  Some it shows and some
it doesn't.  It does show all of them in the tree view though.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Add two users to the group nobody.  Create a public directory somewhere like
this: (note the sticky bit)
drwxrwsrwx    7 root     nobody       4096 Jul 20 17:38 shared

2. Put a link to the above directrory in the user's home directories and have
the users put some files and folders in it.  You should now have files and
folders owned by the one or more of the users and by group nobody.

3. Have the user open up nautilus and double click the link to the shared direcory.

Actual Results:  Depending on the user level selected, some of the directories
do not show up in the main panel, but do show up in the tree view.  Furthermore,
it seems that the wrong amount of detail is displayed for what is shown based on
the user level selected.

Expected Results:  I would expect ALL contents to be shown with a greater level
of detail when advanced is selected.  I would expect less detail when beginner
is selected, and I would expect to see all folders that I own instead of just
one of them.

Additional info:

When I use nautilus to view /export/shared with a user level of advanced, all I
see is the qvf directory and the fixfile.sh file.

[dchimelr@aquila export]$ ls -la /export
total 32
drwxr-xr-x    5 root     root         4096 Jul  3 13:53 .
drwxr-xr-x   19 root     root         4096 Jul 20 15:01 ..
drwxr-xr-x    4 root     root         4096 Jul  6 13:29 home
drwx------    2 root     root        16384 Jul  1 10:02 lost+found
drwxrwsrwx    7 root     nobody       4096 Jul 20 17:38 shared

[dchimelr@aquila export]$ ls -la /export/shared
total 32
drwxrwsrwx    7 root     nobody       4096 Jul 20 17:38 .
drwxr-xr-x    5 root     root         4096 Jul  3 13:53 ..
drwxrwsrwx    3 root     nobody       4096 Jul 20 17:38 files
-rw-r--r--    1 root     nobody        157 Jul  3 14:47 fixfile.sh
drwxrwsrwx    2 suzanne  nobody       4096 Jul 20 11:33 gage
drwxrwsrwx    2 suzanne  nobody       4096 Jul 20 13:01 otherbooks
drwxrwsr-x    2 dchimelr nobody       4096 Jul  6 12:12 ps
drwxrwsr-x    8 dchimelr nobody       4096 Jul 19 16:27 qvf
Comment 1 Havoc Pennington 2002-07-22 08:41:17 EDT
The way it works is:
 - user levels only affect preferences
 - if a pref is not available in a user level, you always get the 
   default setting for the pref for that user level
 - if a pref is available you get whatever you've configured it to

This looks like just a bug (not showing files owned by other users) 
which is most likely a side effect of some difference in some particular 
pref. I'd guess the user level stuff is a wild goose chase.

Try just fooling with prefs while you're "advanced" and see if you can get 
the missing files to appear.
Comment 2 Don Himelrick 2002-08-08 12:45:22 EDT
Sorry for the long delay, I was on vacation :)

You are correct, it seems that if you have the "Show count of items in folders"
option turned off, then you don't see all of the files and/or directories that
you should.  Annoying, because that option slows things down and causes the list
view to flicker while it reads all of the directories.

Thanks for the help!

Note You need to log in before you can comment on or make changes to this bug.